/*
  very simple audiodevice for linux (only for debugging)
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */



#ifndef _AUDIOLINUX_H
#define _AUDIOLINUX_H


extern "C" {
#include <sys/ioctl.h> 
#include <sys/soundcard.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdio.h>
#include <unistd.h>
	   }

#include <iostream.h>


class AudioLinux {

  int fd;

 public:
  AudioLinux();
  ~AudioLinux();
  
  int open();
  int close();
  int isOpen();

  void init(int channel,int bits, int freq);
  void write(char* buf,int len);
};

#endif




